Overview
PUT
/me/appearancesettingsReplace the caller's appearance preferences (upsert; full representation)
Replace a record in appearance.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- colorModeoptional"auto" | "light" | "dark"
The user's colour scheme; 'auto' follows the operating system
- reduceMotionoptional"auto" | "on" | "off"
- contrastoptional"default" | "high" | "extra-high"
- textSizeoptional"default" | "small" | "large" | "extra-large"
- spacingoptional"compact" | "comfortable" | "spacious"
- focusOutlinesoptionalboolean
- underlineLinksoptionalboolean
Example
{
"colorMode": "auto",
"reduceMotion": "auto",
"contrast": "default",
"textSize": "default",
"spacing": "compact",
"focusOutlines": true,
"underlineLinks": true
}Responses
200
The saved appearance preferences
- prefsobject
Empty object when the user has never saved a preference (client defaults apply)
Example
{
"prefs": {
"colorMode": "auto",
"reduceMotion": "auto",
"contrast": "default",
"textSize": "default",
"spacing": "compact",
"focusOutlines": true,
"underlineLinks": true
}
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/me/appearance" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"colorMode": "auto",
"reduceMotion": "auto",
"contrast": "default",
"textSize": "default",
"spacing": "compact",
"focusOutlines": true,
"underlineLinks": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/me/appearance", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"colorMode\": \"auto\",\n \"reduceMotion\": \"auto\",\n \"contrast\": \"default\",\n \"textSize\": \"default\",\n \"spacing\": \"compact\",\n \"focusOutlines\": true,\n \"underlineLinks\": true\n}",
});
const data = await res.json();